osl::eval::ml::King25EffectBoth Class Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = 17 * 128 * 2 }

## Static Public Member Functions

template<Player Attack>
static void | countEffectAndPiecesBoth (const NumEffectState &state, PieceMask &effect25, PieceMask &effect_supported, int &attack_effect, int &attack_piece, int &defense_effect, int &defence_piece, int &attack_piece_supported, CArray< int, 5 > &effect_vertical, CArray< int, 5 > &king_vertical)
static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &, int black_attack_effect, int black_attack_piece, int white_attack_effect, int white_attack_piece, int black_defense_effect, int black_defense_piece, int white_defense_effect, int white_defense_piece)

## Static Public Attributes

static CArray< int, DIM/2 > | attack_table
static CArray< int, DIM/2 > | defense_table

## Static Private Member Functions

static int | index (int effect, int piece_count)

## Detailed Description

Definition at line 139 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 159 of file kingTable.h.

## Member Function Documentation

## countEffectAndPiecesBoth()

template<osl::Player Attack>

template void osl::eval::ml::King25EffectBoth::countEffectAndPiecesBoth< WHITE > | ( | const NumEffectState & | state,
|  | PieceMask & | effect25,
|  | PieceMask & | effect_supported,
|  | int & | attack_effect,
|  | int & | attack_piece,
|  | int & | defense_effect,
|  | int & | defence_piece,
|  | int & | attack_piece_supported,
|  | CArray< int, 5 > & | effect_vertical,
|  | CArray< int, 5 > & | king_vertical )

static

Definition at line 514 of file kingTable.cc.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## eval()

int osl::eval::ml::King25EffectBoth::eval | ( | const NumEffectState & | ,
|  | int | black_attack_effect,
|  | int | black_attack_piece,
|  | int | white_attack_effect,
|  | int | white_attack_piece,
|  | int | black_defense_effect,
|  | int | black_defense_piece,
|  | int | white_defense_effect,
|  | int | white_defense_piece )

inline static

Definition at line 163 of file kingTable.h.

References attack_table, defense_table, and index().

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo().

## index()

int osl::eval::ml::King25EffectBoth::index | ( | int | effect,
|  | int | piece_count )

inline static private

Definition at line 142 of file kingTable.h.

Referenced by eval().

## setUp()

void osl::eval::ml::King25EffectBoth::setUp | ( | const Weights & | weights | ) |

static

Definition at line 500 of file kingTable.cc.

References attack_table, defense_table, DIM, and osl::eval::ml::Weights::value().

## Member Data Documentation

## attack_table

osl::CArray< int, osl::eval::ml::King25EffectBoth::DIM/2 > osl::eval::ml::King25EffectBoth::attack_table

static

Definition at line 160 of file kingTable.h.

Referenced by eval(), and setUp().

## defense_table

osl::CArray< int, osl::eval::ml::King25EffectBoth::DIM/2 > osl::eval::ml::King25EffectBoth::defense_table

static

Definition at line 161 of file kingTable.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc